wiki:WARPnet1/SystemRequirements

This page describes WARPnet v1.0, which supports the OFDM Reference Design. For experiments with the 802.11 Reference Design please refer to WARPnet 2.0

WARPnet 1.0 System Requirements

WARPnet requires a *nix backend because it is closely tied to running Pcap for packet capture. Both client and server have been shown to run on Linux and Mac OS X successfully.

Hardware requirements:

  • Any number of WARP boards running the OFDM Reference Design
  • Ethernet switch and cables to connect the boards to a single computer
  • One computer running Linux or Mac OS X

Software requirements:

  • Known good operating systems
    • OS X 10.5.8 w/ Developer Tools installed
    • Red Hat Enterprise Workstation Linux 5 with following additional packages
      • libpcap-0.9.4-15.el5.x86_64
      • libpcap-devel-0.9.4-15.el5.x86_64
      • gcc-4.1.2-48.el5.x86_64
      • gcc-c++-4.1.2-48.el5.x86_64
  • Python 2.6+
  • Twisted Networking Library 8.2+
  • Zope.Interface
  • Pcapy 10.5
  • Impacket
Last modified 8 years ago Last modified on Feb 12, 2014, 11:21:48 AM